/**
A new function, flipDirection(), is introduced to simplify code that students used in their early activities, 
during their first lesson in moveX.
**/

//**********************Car Object: Update Every Frame Event********************//
if ($this.x() >= 700 || $this.x() <= 100) { //go over what || means, and make sure
    //that ninja can explain the conditions of the if() statement
    $this.flipDirection(); //have ninjas explain what the following code is doing.
    $this.scaleX(-$this.scaleX()); 
}
